import React from "react";
import "./algaehtable.scss";
declare type editOptions = "editOnly" | "deleteOnly";
declare type TableEvents = {
    onSave: (data: any) => void;
    onDelete: (data: any) => void;
    onEdit: (data: any) => void;
    onCancel: (data: any) => void;
    onSaveShow: (data: any) => void;
    onDeleteShow: (data: any) => void;
    onDrop?: (data: any) => void;
};
declare type TableProps = {
    columns: any[];
    data?: any[];
    input?: any;
    schema?: schemaInterface;
    isFilterable?: boolean;
    isEditable?: boolean | editOptions;
    expandAll?: boolean;
    footer?: (data: any) => any | boolean;
    aggregate?: (data: any) => any;
    pagination?: boolean;
    rowUniqueId?: string;
    height?: string | number;
    className?: string;
    events?: TableEvents;
    persistence?: persistance;
    direction?: string;
    pageOptions?: page;
    actionsStyle?: {};
    conditionalPlot?: Function;
    isDraggableRow?: boolean;
    keyId?: string;
    pageEvent?: Function;
};
interface schemaInterface {
    url: string;
    module: string;
}
declare type persistance = {
    filterColumns: any;
    previousPage: page;
};
declare type page = {
    page: number;
    rows: number;
};
declare const _default: React.NamedExoticComponent<TableProps>;
export default _default;
